Package opennlp.tools.util.normalizer

# Enum Class UnicodeDash.Category

java.lang.Object
java.lang.Enum<UnicodeDash.Category>
opennlp.tools.util.normalizer.UnicodeDash.Category

All Implemented Interfaces:
  `Serializable`, `Comparable<UnicodeDash.Category>`, `Constable`

Enclosing class:
  `UnicodeDash`

public static enum UnicodeDash.Category extends Enum<UnicodeDash.Category>
The Unicode general category of a dash code point.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Pd`
  `Pd` - dash punctuation.
  `Po`
  `Po` - other punctuation (the swung dash).
  `Sm`
  `Sm` - math symbol (the minus signs).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static UnicodeDash.Category`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static UnicodeDash.Category[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Pd

    public static final UnicodeDash.Category Pd
    `Pd` - dash punctuation.

  - ### Po

    public static final UnicodeDash.Category Po
    `Po` - other punctuation (the swung dash).

  - ### Sm

    public static final UnicodeDash.Category Sm
    `Sm` - math symbol (the minus signs).

- ## Method Details

  - ### values

    public static UnicodeDash.Category[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static UnicodeDash.Category valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null